---
title: "Get analyst estimates for a company"
url: "https://developer.argaam.com/apis/fundamentals-layer-api-sandbox-v1/versions/6df307f2-7eaf-4885-847f-c59d9ce4f0bb/operations/getCompaniesByStockSymbolAnalystEstimates"
---

> Full API specification: https://developer.argaam.com/apis/fundamentals-layer-api-sandbox-v1/versions/6df307f2-7eaf-4885-847f-c59d9ce4f0bb.md

# Get analyst estimates for a company

`GET` `/api/v1.1/companies/{stockSymbol}/analyst-estimates`

Operation ID: `getCompaniesByStockSymbolAnalystEstimates`

Returns the analyst estimates for the company identified by `stockSymbol`.

## Path parameters

- `stockSymbol` (string, required) - Tadawul stock symbol of the company, e.g. `2222` (Saudi Aramco).

## Query parameters

- `marketId` (integer, int32, optional) - Numeric market identifier (e.g. `1` = Tadawul / Saudi main market). Use `GET /api/v1.1/markets` to list valid values.
- `period` (string, optional) - Time window for the series, e.g. `1d`, `1m`, `3m`, `1y`, `5y`. Defaults to `year`.

## Responses

- `200` - Success

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Fundamentals Layer API
  version: v1.1
servers:
  - url: https://api-sandbox.argaam.com
    description: Argaam API Gateway (Sandbox)
paths:
  /api/v1.1/companies/{stockSymbol}/analyst-estimates:
    get:
      tags:
        - Companies
      parameters:
        - name: stockSymbol
          in: path
          required: true
          schema:
            type: string
          example: "2222"
          description: Tadawul stock symbol of the company, e.g. `2222` (Saudi Aramco).
        - name: marketId
          in: query
          schema:
            type: integer
            format: int32
            default: 3
          example: 3
          description: Numeric market identifier (e.g. `1` = Tadawul / Saudi main market).
            Use `GET /api/v1.1/markets` to list valid values.
        - name: period
          in: query
          schema:
            type: string
            default: year
          example: year
          description: Time window for the series, e.g. `1d`, `1m`, `3m`, `1y`, `5y`.
            Defaults to `year`.
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ApiV1Response"
      summary: Get analyst estimates for a company
      description: Returns the analyst estimates for the company identified by
        `stockSymbol`.
      operationId: getCompaniesByStockSymbolAnalystEstimates
security:
  - ApiKeyAuth: []
components:
  schemas:
    ApiV1Response:
      type: object
      properties:
        success:
          type: boolean
        apiVersion:
          type: string
          nullable: true
        timestamp:
          type: string
          format: date-time
        requestId:
          type: string
          nullable: true
        data:
          nullable: true
        meta:
          $ref: "#/components/schemas/ApiV1Meta"
        rateLimit:
          $ref: "#/components/schemas/ApiV1RateLimit"
      additionalProperties: false
    ApiV1Meta:
      type: object
      properties:
        page:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        totalRecords:
          type: integer
          format: int32
        totalPages:
          type: integer
          format: int32
          readOnly: true
        hasNextPage:
          type: boolean
          readOnly: true
        hasPreviousPage:
          type: boolean
          readOnly: true
      additionalProperties: false
    ApiV1RateLimit:
      type: object
      properties:
        limit:
          type: integer
          format: int32
        remaining:
          type: integer
          format: int32
        reset:
          type: string
          format: date-time
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
```
